1. bomboy2121's Avatar
    i got nexus 4 with kitkat 4.4.4 and im trying to download this https://play.google.com/store/apps/details?id=com.dbm.project
    that requires 3.0 and up but still for some reason it doesnt let me

    any help?
    11-15-2015 03:21 PM
  2. itguyjax8430's Avatar
    i got nexus 4 with kitkat 4.4.4 and im trying to download this https://play.google.com/store/apps/d...om.dbm.project
    that requires 3.0 and up but still for some reason it doesnt let me

    any help?
    Welcome to Android Central!

    Have you tried emailing the developer?
    11-19-2015 09:23 AM
  3. bomboy2121's Avatar
    i didnt really thougt about that.....
    11-19-2015 01:51 PM

Similar Threads

  1. is the Gear S2 a candidate for Black Friday sales?
    By ShaggyKids in forum Samsung Gear S2
    Replies: 13
    Last Post: 11-25-2015, 02:00 AM
  2. Replies: 2
    Last Post: 11-20-2015, 11:13 AM
  3. Replies: 1
    Last Post: 11-19-2015, 09:22 AM
  4. Replies: 1
    Last Post: 11-19-2015, 09:18 AM
  5. Why won't my phone charge with the car charger?
    By AC Question in forum General Help and How To
    Replies: 1
    Last Post: 11-15-2015, 02:36 PM
LINK TO POST COPIED TO CLIPBOARD